## org.gnu.gtk.event
Class TreeSelectionEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.TreeSelectionEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeSelectionEvent
extends GtkEvent

An event thrown when a cell has been selected in a `TreeView` widget.

See Also:
  Serialized Form

Nested Class Summary
`static class` `TreeSelectionEvent.Type`

Constructor Summary
`TreeSelectionEvent(java.lang.Object source)` Creates a new selection Event.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeSelectionEvent

    public TreeSelectionEvent(java.lang.Object source)

  Creates a new selection Event. This is used internally by java-gnome. Users only have to deal with listeners.